Ubuntu

-nv reports it does not support GeForce 9100M G

Reported by Marc Kaplan on 2009-02-22
This bug report is a duplicate of:  Bug #321613: 9100m G card (for acer aspire 4350). Edit Remove
4
Affects Status Importance Assigned to Milestone
xserver-xorg-video-nv (Ubuntu)
Medium
Unassigned

Bug Description

Ran update through Intrepid to Jaunty on Acer Aspire 4530.

AMD Athlon X2 Dual core
Nvidia GeForce 9100M G TurboCache

Reboot after upgrade kicked back error of:

Fatal error: no screens found
ddxSigGiveUp: Closing Logs
[0.561 909] (EE) No devices detected

usplash: no usable theme found for 1024x768
screen init failed
19+0 records in
19+0 records out
....2 lines
kinit: no resume image, doing normal boot
resume: libcrypt version 1.4.1

only online documentation regarding xserver not loading I could find was for ATI video drivers, not nvidia.

I am sorry but I do not follow.

Can you please explain?

On 2/27/09, Ellis Corbie Riley <email address hidden> wrote:
> ** Changed in: xorg (Ubuntu)
> Sourcepackagename: None => xorg
>
> --
> xserver will not start/no theme found for 1024x768
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

You need to attach the full logfile (/var/log/Xorg.0.log). The usplash error is irrelevant.

Changed in xorg:
status: New → Incomplete
  • Xorg.0.log Edit (12.7 KiB, application/octet-stream; name="Xorg.0.log")

On Fri, Feb 27, 2009 at 6:06 PM, Timo Aaltonen <email address hidden> wrote:
> You need to attach the full logfile (/var/log/Xorg.0.log). The usplash
> error is irrelevant.
>
> ** Changed in: xorg (Ubuntu)
>       Status: New => Incomplete
>
> --
> xserver will not start/no theme found for 1024x768
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sorry about that. You'll find the log attached.

Marc Kaplan (marc-kaplan) wrote :

reopening after adding attachment

Changed in xorg:
status: Incomplete → In Progress
  • Xorg.0.log Edit (12.7 KiB, application/octet-stream; name="Xorg.0.log")

Upgraded to Alpha 5.

Attached Xorg log is from upgraded version/newest post-upgrade to Alpha 5.

On Fri, Feb 27, 2009 at 6:06 PM, Timo Aaltonen <email address hidden> wrote:
> You need to attach the full logfile (/var/log/Xorg.0.log). The usplash
> error is irrelevant.
>
> ** Changed in: xorg (Ubuntu)
>       Status: New => Incomplete
>
> --
> xserver will not start/no theme found for 1024x768
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Unfortunately, due to another bug, this time involving the upgrade process, these two bugs now have me at a complete standstill. I was just wondering if someone has a suggestion on how to at least temporarily resolve this so I can get xserver up and my GUI working so I can test the rest of Jaunty before the Beta...

Changed in xorg:
status: In Progress → New
Bryce Harrington (bryce) wrote :

According to the log, you're trying to use -nv on an unsupported video card.

[ 0.528508] (WW) NV: Ignoring unsupported device 0x10de0844 (GeForce 9100M G) at 02@00:00:0

Yes, I was using the nvidia driver because I had installed it within
Intrepid. I upgrade to Jaunty from Intrepid, so it kept the driver.
I remember when installing Intrepid, it installed without the
proprietary driver. Isn't there a way to supress the exisitng driver
during the upgrade process? I attempted apt-get update and apt-get
dist-upgrade after receiving this notification, but it still would not
load gnome. What can I do to start X windows?

On 3/10/09, Bryce Harrington <email address hidden> wrote:
> According to the log, you're trying to use -nv on an unsupported video
> card.
>
> [ 0.528508] (WW) NV: Ignoring unsupported device 0x10de0844 (GeForce
> 9100M G) at 02@00:00:0
>
>
> ** Summary changed:
>
> - xserver will not start/no theme found for 1024x768
> + -nv reports it does not support GeForce 9100M G
>
> ** Changed in: xserver-xorg-video-nv (Ubuntu)
> Sourcepackagename: xorg => xserver-xorg-video-nv
>
> --
> -nv reports it does not support GeForce 9100M G
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Marc Kaplan (marc-kaplan) wrote :

I ran the live version of Alpha 6 and it ran on this same machine
without an issue. Isn't there some way, and I'm sure this has been
discussed, that upon upgrading, that the proprietary drivers are
checked for compatibilty, and if they fail, an error comes up saying
that the driver is being turned off? I don't know how hard it would
be, but based on all these errors with the new Xorg, I would think
this would be something common sense to add.

On 3/10/09, Bryce Harrington <email address hidden> wrote:
> According to the log, you're trying to use -nv on an unsupported video
> card.
>
> [ 0.528508] (WW) NV: Ignoring unsupported device 0x10de0844 (GeForce
> 9100M G) at 02@00:00:0
>
>
> ** Summary changed:
>
> - xserver will not start/no theme found for 1024x768
> + -nv reports it does not support GeForce 9100M G
>
> ** Changed in: xserver-xorg-video-nv (Ubuntu)
> Sourcepackagename: xorg => xserver-xorg-video-nv
>
> --
> -nv reports it does not support GeForce 9100M G
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Marc Kaplan (marc-kaplan) wrote :

Most recent update of xserver-xorg-nv did not resolve this issue. Most recent Xorg.0.log attached.

Gaetan Nadon (memsize) wrote :

Marc,
To answer your question in bug 320671 (my apologies for having misspelled your name), the 9100M G motherboard GPU is not supported by the driver.
http://www.nvidia.com/object/product_geforce_9100m_g_mgpu_us.html
I am not an expert, but I'll share my experience. I have just installed a new nvidia card (gts 250) that was released this month. It's not officially supported by anyone, not even nvidia has a driver for it on Linux. However I am able to get that card working on both 8.04 and 8.10 using official Ubuntu documentation.

All devices on the PCI bus have ids so the driver can make decisions. The ids are located in X.org nv_driver.c. Your GPU id is 0x10de0844 where 10de identifies nvidia and 0844 identifies the 9100M G chipset. Your 0844 id and my 0615 id both aren't there. If you run lspci -n you should get something like this: 01:00.0 0300: 10de:0844. Run lspci -v -s 01:00.0 and you get more details, such as:
01:00.0 VGA compatible controller: nVidia Corporation Unknown device 0844 (prog-if 00 [VGA controller])
This means the card is not "recognized". The driver may ignore this can and the card may work as it is the case for me on 8.04. The driver may decide to quit if it knows that it is not capable of handling the card. This is what it seems to happen in your case (Ignoring unsupported device 0x10de0844).

You have 3 choices when it comes to drivers:
1) The default open source "nv" driver (2D only) maintained by Ubuntu
2) The binary restricted driver (offered by the restricted driver manager - nvidia-glx) which comes from nVidia but is packaged (but not supported) by Ubuntu. Driver 177 in Intrepid does support your card.
3) The binary nVidia driver obtained directly from nVidia.com which is shell script installed. This is not supported by Ubuntu

When booting a fresh install with a known GPU, the default nv driver is always used. There are no cases where the restricted driver would be used. If I understand your case correctly, the default "nv" driver just does not work, the X server does not start and you have no desktop. There may be a reason why the driver rejected your card, perhaps it cannot handle a notebook GPU. It may be a programming error. My card was erroneously recognized on Intrepid as another card.

When you have a desktop running using the "nv" driver (which is not your case) follow instructions:
https://help.ubuntu.com/community/BinaryDriverHowto/Nvidia

When you want to install the nvidia driver from nvidia.com (seems to be your only choice) follow instructions:
https://help.ubuntu.com/community/NvidiaManual
Driver 177 is recommended and it works for me, while the later driver 180 does not work. You will need to reinitialize the nvidia driver for each kernel upgrade.

Before you do any of this, try this simple action: backup and delete /etc/X11/xorg.conf. It's empty on a fresh install and is generated when booting. It may get the nv driver working. You said desktop was working on Intrepid with default nv driver, and you said Jaunty live CD works fine. That leaves only a migration problem in configuration scripts.

Marc Kaplan (marc-kaplan) wrote :
Download full text (3.8 KiB)

I think you hit on it that it might be a migration scripting issue.
When I was on intepid, I was using the restricted nvida driver (do not
remember which one), not -nv and 3D was working perfectly. The
problem appears to have been that when I performed the dist-grade, it
might have reverted back to the -nv driver; not my intention at all.

I will try what you suggested when I get home, but why would it do
that instead of keeping the driver? Is that by design as well?

Marc

On 3/24/09, Gaetan Nadon <email address hidden> wrote:
> Marc,
> To answer your question in bug 320671 (my apologies for having misspelled
> your name), the 9100M G motherboard GPU is not supported by the driver.
> http://www.nvidia.com/object/product_geforce_9100m_g_mgpu_us.html
> I am not an expert, but I'll share my experience. I have just installed a
> new nvidia card (gts 250) that was released this month. It's not officially
> supported by anyone, not even nvidia has a driver for it on Linux. However I
> am able to get that card working on both 8.04 and 8.10 using official Ubuntu
> documentation.
>
> All devices on the PCI bus have ids so the driver can make decisions. The
> ids are located in X.org nv_driver.c. Your GPU id is 0x10de0844 where 10de
> identifies nvidia and 0844 identifies the 9100M G chipset. Your 0844 id and
> my 0615 id both aren't there. If you run lspci -n you should get something
> like this: 01:00.0 0300: 10de:0844. Run lspci -v -s 01:00.0 and you get more
> details, such as:
> 01:00.0 VGA compatible controller: nVidia Corporation Unknown device 0844
> (prog-if 00 [VGA controller])
> This means the card is not "recognized". The driver may ignore this can and
> the card may work as it is the case for me on 8.04. The driver may decide to
> quit if it knows that it is not capable of handling the card. This is what
> it seems to happen in your case (Ignoring unsupported device 0x10de0844).
>
> You have 3 choices when it comes to drivers:
> 1) The default open source "nv" driver (2D only) maintained by Ubuntu
> 2) The binary restricted driver (offered by the restricted driver manager -
> nvidia-glx) which comes from nVidia but is packaged (but not supported) by
> Ubuntu. Driver 177 in Intrepid does support your card.
> 3) The binary nVidia driver obtained directly from nVidia.com which is shell
> script installed. This is not supported by Ubuntu
>
> When booting a fresh install with a known GPU, the default nv driver is
> always used. There are no cases where the restricted driver would be
> used. If I understand your case correctly, the default "nv" driver just
> does not work, the X server does not start and you have no desktop.
> There may be a reason why the driver rejected your card, perhaps it
> cannot handle a notebook GPU. It may be a programming error. My card was
> erroneously recognized on Intrepid as another card.
>
> When you have a desktop running using the "nv" driver (which is not your
> case) follow instructions:
> https://help.ubuntu.com/community/BinaryDriverHowto/Nvidia
>
> When you want to install the nvidia driver from nvidia.com (seems to be your
> only choice) follow instructions:
> https://help.ubuntu.com/community/NvidiaM...

Read more...

On Tue, Mar 24, 2009 at 09:29:16PM -0000, Gaetan Nadon wrote:
> You have 3 choices when it comes to drivers:
> 1) The default open source "nv" driver (2D only) maintained by Ubuntu
> 2) The binary restricted driver (offered by the restricted driver manager - nvidia-glx) which comes from nVidia but is packaged (but not supported) by Ubuntu. Driver 177 in Intrepid does support your card.
> 3) The binary nVidia driver obtained directly from nVidia.com which is shell script installed. This is not supported by Ubuntu

4) The -nouveau driver, which is still highly experimental but is our
   long term future hope
5) The -vesa driver, which is stable but very limited

I've learned recently that a number of PCIIDs are missing from -nv due
to differences between how Debian (and us) handle PCIIDs and how
upstream -nv is doing it. Debian/Ubuntu expects them to be listed
explicitly, however upstream is using a wildcarding approach.

Since upstream is using the wildcarding approach, that sounds like the
way we should be doing it, however switching to that this late in the
release cycle may incur too large a risk of regression, so possibly the
safest/easiest thing would be for us to just collate the PCIIDs manually
ourselves. I don't know how much time I'll have to do this before
release, so would greatly appreciate any assistance in tracking down
bugs like this one, that can be resolved by adding the PCIIDs. If you
locate such bugs, please feel free to assign them to me to look at.
(It would help to make sure the title says something like
"...add support for <cardname>" in them, as that'd clue me in.

Bryce

I will be more than happy to keep an eye for them in the bug list if
it will help you out and save people the same issues I have had. I
hope my filing of this bug helped with your discover of this issue.

Should I take it from you comments that you would not like me to
attempt to fix this manually but rather wait until a patch has been
issued for this particular card?

On 3/24/09, Bryce Harrington <email address hidden> wrote:
> On Tue, Mar 24, 2009 at 09:29:16PM -0000, Gaetan Nadon wrote:
>> You have 3 choices when it comes to drivers:
>> 1) The default open source "nv" driver (2D only) maintained by Ubuntu
>> 2) The binary restricted driver (offered by the restricted driver manager
>> - nvidia-glx) which comes from nVidia but is packaged (but not supported)
>> by Ubuntu. Driver 177 in Intrepid does support your card.
>> 3) The binary nVidia driver obtained directly from nVidia.com which is
>> shell script installed. This is not supported by Ubuntu
>
> 4) The -nouveau driver, which is still highly experimental but is our
> long term future hope
> 5) The -vesa driver, which is stable but very limited
>
> I've learned recently that a number of PCIIDs are missing from -nv due
> to differences between how Debian (and us) handle PCIIDs and how
> upstream -nv is doing it. Debian/Ubuntu expects them to be listed
> explicitly, however upstream is using a wildcarding approach.
>
> Since upstream is using the wildcarding approach, that sounds like the
> way we should be doing it, however switching to that this late in the
> release cycle may incur too large a risk of regression, so possibly the
> safest/easiest thing would be for us to just collate the PCIIDs manually
> ourselves. I don't know how much time I'll have to do this before
> release, so would greatly appreciate any assistance in tracking down
> bugs like this one, that can be resolved by adding the PCIIDs. If you
> locate such bugs, please feel free to assign them to me to look at.
> (It would help to make sure the title says something like
> "...add support for <cardname>" in them, as that'd clue me in.
>
> Bryce
>
> --
> -nv reports it does not support GeForce 9100M G
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bryce Harrington (bryce) on 2009-03-25
Changed in xserver-xorg-video-nv (Ubuntu):
assignee: nobody → bryceharrington
Bryce Harrington (bryce) wrote :

Actually nevermind, I think I'll just keep an eye on the bug list myself, but thanks for the help.

Regarding your own card, you should test it manually before we put in a patch for it. It's likely -nv simply will not work on your system, in which case patching it in may not be the best solution.

To test it, edit /usr/share/xserver-xorg/pci/nv.ids and insert your PCIID (10de0844) at the appropriate place, then restart your X server. If the screen comes up and is at least marginally usable, let us know and we can put the patch in for it.

Changed in xserver-xorg-video-nv (Ubuntu):
assignee: bryceharrington → nobody
importance: Undecided → Medium
status: New → Incomplete
Marc Kaplan (marc-kaplan) wrote :
  • Xorg.0.log Edit (12.2 KiB, application/octet-stream; name="Xorg.0.log")

On Tue, Mar 24, 2009 at 10:04 PM, Bryce Harrington
<email address hidden> wrote:
> o test it, edit /usr/share/xserver-xorg/pci/nv.ids and insert your
> PCIID (10de0844) at the appropriate place, then restart your X server.
> If the screen comes up and is at least marginally usable, let us know
> and we can put the patch in for it.

No such luck. Adding it doesn't appear to have done anything.
Attached recent Xorg log after making the change. Have not done
dist-upgrade today/

On Wed, Mar 25, 2009 at 02:55:26AM -0000, Marc Kaplan wrote:
> On Tue, Mar 24, 2009 at 10:04 PM, Bryce Harrington
> <email address hidden> wrote:
> > o test it, edit /usr/share/xserver-xorg/pci/nv.ids and insert your
> > PCIID (10de0844) at the appropriate place, then restart your X server.
> > If the screen comes up and is at least marginally usable, let us know
> > and we can put the patch in for it.
>
> No such luck. Adding it doesn't appear to have done anything.

Yep, I suspected as much. Your pci id is far outside the regular range
so the card is probably far too new for -nv.

-nouveau is another option. Otherwise you'll need to wait for -nvidia
to support it.

Bryce

Gaetan Nadon (memsize) wrote :

Additional information from Bug 321613
"My 9100m G card doesn't work with vanilla nv, but works fine when I add the line:
  { 0x10DE0844, "GeForce 9100M G" },
to the end of the list in nv_driver.c (and recompile, of course :) "

There is still the option of installing nvidia.com driver 177 or 180.
https://help.ubuntu.com/community/NvidiaManual

Did you actually physically have to write geforce 9100, or just the
id. I just added the id but did not reconpile, only restarted. How
do I re-compile?

On 3/25/09, Gaetan Nadon <email address hidden> wrote:
> Additional information from Bug 321613
> "My 9100m G card doesn't work with vanilla nv, but works fine when I add the
> line:
> { 0x10DE0844, "GeForce 9100M G" },
> to the end of the list in nv_driver.c (and recompile, of course :) "
>
> There is still the option of installing nvidia.com driver 177 or 180.
> https://help.ubuntu.com/community/NvidiaManual
>
> --
> -nv reports it does not support GeForce 9100M G
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Gaetan Nadon (memsize) wrote :

I am not familiar enough with development on Linux to guide you through the easy way of doing this. Keep in mind you will now have to maintain the new object code you created, it will most likely break on the next update of xorg or kernel. Everyone will have a different opinion on this, I think installing nvidia.com driver would be considered by most as a lower level of difficulty compared to compiling.

I would read-up on both ways before making a decision. Neither solution is officially supported by Ubuntu, your best avenue for support is the forum, which often has proven to be gold.

Have you tried to delete xorg.conf and reboot? From what I understand, at least the vesa driver should give you a desktop. Given that it works on live cd, you can't be that far from a working solution. You could also reinstall, having backed-up your data first. All depends on if/why you need to be on an alpha version.

Marc Kaplan (marc-kaplan) wrote :

If it can be avoided, I would prefer not reinstalling the whole
distro. It is dual booting with vista, sharing a data partition.

Essentially what would be the best, quickest, easiest, and least time
consuming process to get back up and running AND help get a fix so
this doesn't happen to other people who upgrade to the beta or release
candidate.

On 3/25/09, Gaetan Nadon <email address hidden> wrote:
> I am not familiar enough with development on Linux to guide you through
> the easy way of doing this. Keep in mind you will now have to maintain
> the new object code you created, it will most likely break on the next
> update of xorg or kernel. Everyone will have a different opinion on
> this, I think installing nvidia.com driver would be considered by most
> as a lower level of difficulty compared to compiling.
>
> I would read-up on both ways before making a decision. Neither solution
> is officially supported by Ubuntu, your best avenue for support is the
> forum, which often has proven to be gold.
>
> Have you tried to delete xorg.conf and reboot? From what I understand,
> at least the vesa driver should give you a desktop. Given that it works
> on live cd, you can't be that far from a working solution. You could
> also reinstall, having backed-up your data first. All depends on if/why
> you need to be on an alpha version.
>
> --
> -nv reports it does not support GeForce 9100M G
> https://bugs.launchpad.net/bugs/333040
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Marc Kaplan (marc-kaplan) wrote :

Good news, and so-so news.

It would seem as though you were right that installing the restricted driver would solve. this.

As root, I followed the instructions here:

http://ubuntuforums.org/archive/index.php/t-965741.html

sudo apt-get install envyng-gtk

And install the first one that comes up.

I am now staring at my GNOME interface once again.

However, what I am confused about is that I was already running one of the restricted drivers BEFORE I upgraded to Jaunty. When did it revert back to -nv instead of trying to use the same driver or look to see if there was an upgrade available in the restricted repository?

Is there any way that can be added to the upgrade process to prevent this happening to others in the future?

Gaetan Nadon (memsize) wrote :

I suspect the alpha code has not handled the situation correctly. I have reproduced the upgrade scenario with 9.04 Beta March 26 and everything works rock solid.

Scenario:
Upgrading from Intrepid to jaunty when using a restricted driver (177) with a card having a missing device id in nv.ids.

What happened is exactly what you wished for: jaunty is running with the restricted driver at level 180 (not 177) which is the recommended level for jaunty. I removed the restricted driver and it works as expected: no device id, so the nv driver does not load and reverts back to vesa driver. I always have a working desktop.

Scenario:
Running jaunty without restricted driver, add Driver = "nvidia" in the Device section of xorg.conf.

This simulates situations where either user edited the conf file or some script messed it up or a user reinstated a bad backup file. The files for the restricted driver and kernel module are physically not installed, but X org will try to load it anyway.
You will be prompted by a dialog asking you what to do, as it can't load the desktop. Looking it the log file, you will see:
   (II) LoadModule: "nvidia"
   (WW) Warning, couldn't open module nvidia
   (II) UnloadModule: "nvidia"
   (EE) Failed to load module "nvidia" (module does not exist, 0)
   (EE) No drivers available.
You can chose to run the desktop in low graphic mode.

Now, from a bug report triage point of view, I'll confirm the bug. I am not sure how development handle alpha code bugs, perhaps FixReleased if they feel comfortable it has been fixed.
BugSquad

Changed in xserver-xorg-video-nv:
status: Incomplete → Confirmed
udippel (udippel) wrote :

Mainly FYI, and to Bryce:
I am in a similar situation, with an IGP 8300.
No, mine is worse: all proprietary drivers crash (-> I took it up with NVIDIA), nv does not support this card (10de0848).
So I was betting on nouveau, but it doesn't do the job here, neither.

Uwe,
who could be helped by a vesa solution for 1600x1200, 85 Hz; somehow it ends me at 60 Hz, despite a modline.

Gaetan Nadon (memsize) wrote :

udippel,

There is a range of motherboard GPUs (C73/C77/C79) that are not supported by the nv driver. I see 2 options for you to try with a Live CD so as not to disturb your system:

1) Add the 10DE0848 id in /usr/share/xserver-xorg/pci/nv.ids file and restart X. The nv driver may support it after all.
This line in the log should go away: "(II) No matches found for this device in /usr/share/xserver-xorg/pci"

2) Install the current nvidia.com 180.51 driver which list your GPU as supported. Very important instructions are in https://help.ubuntu.com/community/NvidiaManual. On second thought, I am not sure you can do this one on a Live CD as I think there is a kernel module involved. I have installed and uninstalled this driver a few times with no problems.

To restart X (you can't reboot from a Live CD) use Ctrl-Alt-Backspace (pre 9.04) or Ctrl-Alt-F1 to get to a terminal and then '/etc/init.d/gdm restart'. Do not edit the xorg.conf file to use or stop using the nv driver.

Asif Youssuff (yoasif) wrote :

I'm running Karmic, and I'm getting similar issues. Logfiles attached.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers